GNU logs - #44768, boring messages


Message sent to guix-patches@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: [bug#44768] [PATCH 1/2] gnu: Add gnash.
Resent-From: Vinicius Monego <monego@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: guix-patches@HIDDEN
Resent-Date: Fri, 20 Nov 2020 20:07:02 +0000
Resent-Message-ID: <handler.44768.B.160590279219321 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: report 44768
X-GNU-PR-Package: guix-patches
X-GNU-PR-Keywords: patch
To: 44768 <at> debbugs.gnu.org
Cc: Vinicius Monego <monego@HIDDEN>
X-Debbugs-Original-To: guix-patches@HIDDEN
Received: via spool by submit <at> debbugs.gnu.org id=B.160590279219321
          (code B ref -1); Fri, 20 Nov 2020 20:07:02 +0000
Received: (at submit) by debbugs.gnu.org; 20 Nov 2020 20:06:32 +0000
Received: from localhost ([127.0.0.1]:44334 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kgCfp-00051T-Io
	for submit <at> debbugs.gnu.org; Fri, 20 Nov 2020 15:06:32 -0500
Received: from lists.gnu.org ([209.51.188.17]:36784)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <monego@HIDDEN>) id 1kgCfk-00051J-DK
 for submit <at> debbugs.gnu.org; Fri, 20 Nov 2020 15:06:23 -0500
Received: from eggs.gnu.org ([2001:470:142:3::10]:57394)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <monego@HIDDEN>) id 1kgCfj-00084C-SQ
 for guix-patches@HIDDEN; Fri, 20 Nov 2020 15:06:20 -0500
Received: from mout01.posteo.de ([185.67.36.65]:56017)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <monego@HIDDEN>) id 1kgCfZ-0006Oo-Qd
 for guix-patches@HIDDEN; Fri, 20 Nov 2020 15:06:19 -0500
Received: from submission (posteo.de [89.146.220.130]) 
 by mout01.posteo.de (Postfix) with ESMTPS id A198516005F
 for <guix-patches@HIDDEN>; Fri, 20 Nov 2020 21:06:04 +0100 (CET)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=posteo.net; s=2017;
 t=1605902764; bh=yTjevAPywaNp52pvYG1iPTdiPp9syUgW/gzx/uyHn04=;
 h=From:To:Cc:Subject:Date:From;
 b=SqfSS6Myn4paFg9VtColErdZ0I7hZDJalSsc+0gluFVgtsYLhygmMiKIYkO2Kg1Kh
 mUU6itl42hf3QO0GI0Cud3h6qn0uq5Hit6uSW2mCIc7yig1shF5OR1CH7KaRO47jjP
 a4OiPn/dx6vVbDYTeoFBDrkbFgLHRocUyTCZBVDYS3MMrnAbc9XOo3lGDIPXa/oE0V
 VBLoK+V2/r/tT3gRO+kPsR4VEi2Vhs3qjl/U0mDGA4VYN0bL/mrmCnw8tD722Igjs1
 poivP2Rk+Kg1bwQRZWMbiLjYclZ9FsqsmUNZSqop7xQ2t+dMpa/4EmJw8vCwizn1QO
 ZccpkHLNAWP6Q==
Received: from customer (localhost [127.0.0.1])
 by submission (posteo.de) with ESMTPSA id 4Cd6xQ5r23z9rxS;
 Fri, 20 Nov 2020 21:06:02 +0100 (CET)
From: Vinicius Monego <monego@HIDDEN>
Date: Fri, 20 Nov 2020 17:05:51 -0300
Message-Id: <20201120200551.19145-1-monego@HIDDEN>
X-Mailer: git-send-email 2.20.1
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit
Received-SPF: pass client-ip=185.67.36.65; envelope-from=monego@HIDDEN;
 helo=mout01.posteo.de
X-Spam_score_int: -43
X-Spam_score: -4.4
X-Spam_bar: ----
X-Spam_report: (-4.4 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1,
 RCVD_IN_DNSWL_MED=-2.3, RCVD_IN_MSPIKE_H4=0.001, RCVD_IN_MSPIKE_WL=0.001,
 SPF_HELO_NONE=0.001, SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.3 (-)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.0 (/)

* gnu/packages/animation.scm (gnash): New variable.
* gnu/packages/patches/gnash-do-not-depend-on-pangox: New file.
* gnu/packages/patches/gnash-fix-giflib-version: New file.
* gnu/local.mk (dist_patch_DATA): Add it.
---
Patch sources:

https://savannah.gnu.org/patch/download.php?file_id=48366
https://savannah.gnu.org/patch/download.php?file_id=47859

 gnu/local.mk                                  |  3 +
 gnu/packages/animation.scm                    | 94 ++++++++++++++++++-
 .../gnash-do-not-depend-on-pangox.patch       | 35 +++++++
 .../patches/gnash-fix-giflib-version.patch    | 13 +++
 4 files changed, 144 insertions(+), 1 deletion(-)
 create mode 100644 gnu/packages/patches/gnash-do-not-depend-on-pangox.patch
 create mode 100644 gnu/packages/patches/gnash-fix-giflib-version.patch

diff --git a/gnu/local.mk b/gnu/local.mk
index 3a8f1e30fc..94ff78a3d4 100644
--- a/gnu/local.mk
+++ b/gnu/local.mk
@@ -38,6 +38,7 @@
 # Copyright © 2020 Tanguy Le Carrour <tanguy@HIDDEN>
 # Copyright © 2020 Martin Becze <mjbecze@HIDDEN>
 # Copyright © 2020 Malte Frank Gerdes <mate.f.gerdes@HIDDEN>
+# Copyright © 2020 Vinicius Monego <monego@HIDDEN>
 #
 # This file is part of GNU Guix.
 #
@@ -1083,6 +1084,8 @@ dist_patch_DATA =						\
   %D%/packages/patches/glibc-supported-locales.patch     	\
   %D%/packages/patches/gmp-arm-asm-nothumb.patch		\
   %D%/packages/patches/gmp-faulty-test.patch			\
+  %D%/packages/patches/gnash-do-not-depend-on-pangox.patch	\
+  %D%/packages/patches/gnash-fix-giflib-version.patch	        \
   %D%/packages/patches/gnome-shell-theme.patch			\
   %D%/packages/patches/gnome-shell-disable-test.patch		\
   %D%/packages/patches/gnome-settings-daemon-gc.patch		\
diff --git a/gnu/packages/animation.scm b/gnu/packages/animation.scm
index 3176a1237a..3df3ce3eba 100644
--- a/gnu/packages/animation.scm
+++ b/gnu/packages/animation.scm
@@ -2,6 +2,7 @@
 ;;; Copyright © 2015, 2017 Ricardo Wurmus <rekado@HIDDEN>
 ;;; Copyright © 2018, 2019, 2020 Tobias Geerinckx-Rice <me@HIDDEN>
 ;;; Copyright © 2019 Pkill -9 <pkill9@HIDDEN>
+;;; Copyright © 2020 Vinicius Monego <monego@HIDDEN>
 ;;;
 ;;; This file is part of GNU Guix.
 ;;;
@@ -27,19 +28,27 @@
   #:use-module (guix build-system gnu)
   #:use-module (gnu packages)
   #:use-module (gnu packages algebra)
+  #:use-module (gnu packages autotools)
   #:use-module (gnu packages boost)
   #:use-module (gnu packages compression)
+  #:use-module (gnu packages curl)
+  #:use-module (gnu packages dejagnu)
   #:use-module (gnu packages fontutils)
+  #:use-module (gnu packages gettext)
+  #:use-module (gnu packages gl)
   #:use-module (gnu packages glib)
   #:use-module (gnu packages gnome)
   #:use-module (gnu packages graphics)
   #:use-module (gnu packages gtk)
   #:use-module (gnu packages image)
   #:use-module (gnu packages imagemagick)
+  #:use-module (gnu packages perl)
   #:use-module (gnu packages pkg-config)
   #:use-module (gnu packages pulseaudio)
   #:use-module (gnu packages qt)
-  #:use-module (gnu packages video))
+  #:use-module (gnu packages sdl)
+  #:use-module (gnu packages video)
+  #:use-module (gnu packages xiph))
 
 ;; ETL, synfig, and Synfig Studio are updated in tandem.
 (define synfig-version "1.2.2")
@@ -301,3 +310,86 @@ waveform until they line up with the proper sounds.")
 lets you create traditional hand-drawn animations (cartoons) using both bitmap
 and vector graphics.")
     (license license:gpl2)))
+
+;; This package provides a standalone (no browser plugin) version of Gnash.
+(define-public gnash
+  ;; The last tagged release of Gnash was in 2012.
+  (let ((commit "583ccbc1275c7701dc4843ec12142ff86bb305b4")
+        (revision "0"))
+    (package
+      (name "gnash")
+      (version (git-version "0.8.11" ;upstream has no version number
+                            revision commit))
+      (source
+       (origin
+         (method git-fetch)
+         (uri (git-reference
+               (url "https://git.savannah.gnu.org/git/gnash.git/")
+               (commit commit)))
+         (file-name (git-file-name name version))
+         (patches (search-patches "gnash-do-not-depend-on-pangox.patch"
+                                  "gnash-fix-giflib-version.patch"))
+         (sha256
+          (base32 "0fh0bljn0i6ypyh6l99afi855p7ki7lm869nq1qj6k8hrrwhmfry"))))
+      (build-system gnu-build-system)
+      (arguments
+       `(#:configure-flags
+         (list "--disable-static"
+               ;; Plugins are based on XULRunner and NPAPI only.  Disable.
+               "--disable-plugins"
+               "--disable-jemalloc" ;FIXME: not found by pkg-config
+               "--enable-gui=gtk"
+               "--enable-media=ffmpeg"
+               (string-append "--with-boost-incl="
+                              (assoc-ref %build-inputs "boost") "/include")
+               (string-append "--with-boost-lib="
+                              (assoc-ref %build-inputs "boost") "/lib")
+               (string-append "--with-ffmpeg-incl="
+                              (assoc-ref %build-inputs "ffmpeg")
+                              "/include/libavcodec")
+               (string-append "--with-speex-incl="
+                              (assoc-ref %build-inputs "speex") "/include")
+               (string-append "--with-speex-lib="
+                              (assoc-ref %build-inputs "speex") "/lib")
+               (string-append "--with-jpeg-incl="
+                              (assoc-ref %build-inputs "libjpeg") "/include")
+               (string-append "--with-zlib-incl="
+                              (assoc-ref %build-inputs "zlib") "/include")
+               (string-append "--with-png-incl="
+                              (assoc-ref %build-inputs "libpng")
+                              "/include"))))
+      (native-inputs
+       `(("autoconf" ,autoconf)
+         ("automake" ,automake)
+         ("dejagnu" ,dejagnu) ;for tests
+         ("gettext" ,gettext-minimal)
+         ("libtool" ,libtool)
+         ("perl" ,perl)
+         ("pkg-config" ,pkg-config)))
+      (inputs
+       `(("agg" ,agg)
+         ("atk" ,atk)
+         ("boost" ,boost)
+         ("curl" ,curl)
+         ("ffmpeg" ,ffmpeg-2.8)
+         ("freeglut" ,freeglut)
+         ("gconf" ,gconf)
+         ("giflib" ,giflib)
+         ("glib" ,glib)
+         ("gtk+" ,gtk+-2)
+         ("gtkglext" ,gtkglext)
+         ;;("jemalloc" ,jemalloc)
+         ("libjpeg" ,libjpeg-turbo)
+         ("libltdl" ,libltdl)
+         ("libpng" ,libpng)
+         ("pango" ,pango)
+         ("sdl" ,sdl)
+         ("speex" ,speex)))
+      (synopsis "Flash movie player")
+      (description
+       "Gnash is a Flash movie player.  It supports SWF version v7 and some
+of v8 and v9.  It is possible to configure Gnash to use several differemt
+audio or video backends, ensuring good performance.")
+      (home-page "https://www.gnu.org/software/gnash/")
+      (license license:gpl3+))))
+
diff --git a/gnu/packages/patches/gnash-do-not-depend-on-pangox.patch b/gnu/packages/patches/gnash-do-not-depend-on-pangox.patch
new file mode 100644
index 0000000000..489baa089c
--- /dev/null
+++ b/gnu/packages/patches/gnash-do-not-depend-on-pangox.patch
@@ -0,0 +1,35 @@
+From c63b5843ca1bb56bb825ba0521c3df81861f88c4 Mon Sep 17 00:00:00 2001
+From: Jan Tojnar <jtojnar@HIDDEN>
+Date: Thu, 6 Feb 2020 23:59:49 +0100
+Subject: [PATCH] Do not depend on pangox
+
+pangox has been removed from Pango years ago breaking the build
+on modern distros.
+
+Gnash does not actually use pango directly at all. It looks like
+it was added for static linking against GTK when not using pkg-config
+but it was not updated or limited to non-pkg-config GTK builds
+(pkg-config would provide the necessary transitive dependencies automatically).
+
+The proper solution would be removing all the pango checks and relying
+on pkg-config but as a quick hack this should suffice.
+---
+ macros/pango.m4 | 2 +-
+ 1 file changed, 1 insertion(+), 1 deletion(-)
+
+diff --git a/macros/pango.m4 b/macros/pango.m4
+index 96f0457e2..6f24eb2a2 100644
+--- a/macros/pango.m4
++++ b/macros/pango.m4
+@@ -34,7 +34,7 @@ AC_DEFUN([GNASH_PATH_PANGO],
+   if test x$windows = xyes; then
+     pango_pkg=pangowin32
+   else
+-    pango_pkg=pangox
++    pango_pkg=pango
+   fi
+ 
+   if test x$cross_compiling = xno; then
+-- 
+2.25.0
+
diff --git a/gnu/packages/patches/gnash-fix-giflib-version.patch b/gnu/packages/patches/gnash-fix-giflib-version.patch
new file mode 100644
index 0000000000..37213dac9b
--- /dev/null
+++ b/gnu/packages/patches/gnash-fix-giflib-version.patch
@@ -0,0 +1,13 @@
+diff --git a/libbase/GnashImageGif.cpp b/libbase/GnashImageGif.cpp
+index 2ae5ddb..b87b1e7 100644
+--- a/libbase/GnashImageGif.cpp
++++ b/libbase/GnashImageGif.cpp
+@@ -120,7 +120,7 @@ GifInput::GifInput(std::shared_ptr<IOChannel> in)
+ GifInput::~GifInput()
+ {
+     // Clean up allocated data.
+-#if GIFLIB_MAJOR==5 && GIFLIB_MINOR==1
++#if GIFLIB_MAJOR==5 && GIFLIB_MINOR!=0
+ 	DGifCloseFile(_gif, 0);
+ #else
+ 	DGifCloseFile(_gif);
-- 
2.20.1





Message sent:


Content-Disposition: inline
Content-Transfer-Encoding: quoted-printable
MIME-Version: 1.0
X-Mailer: MIME-tools 5.505 (Entity 5.505)
Content-Type: text/plain; charset=utf-8
X-Loop: help-debbugs@HIDDEN
From: help-debbugs@HIDDEN (GNU bug Tracking System)
To: Vinicius Monego <monego@HIDDEN>
Subject: bug#44768: Acknowledgement ([PATCH 1/2] gnu: Add gnash.)
Message-ID: <handler.44768.B.160590279219321.ack <at> debbugs.gnu.org>
References: <20201120200551.19145-1-monego@HIDDEN>
X-Gnu-PR-Message: ack 44768
X-Gnu-PR-Package: guix-patches
X-Gnu-PR-Keywords: patch
Reply-To: 44768 <at> debbugs.gnu.org
Date: Fri, 20 Nov 2020 20:07:02 +0000

Thank you for filing a new bug report with debbugs.gnu.org.

This is an automatically generated reply to let you know your message
has been received.

Your message is being forwarded to the package maintainers and other
interested parties for their attention; they will reply in due course.

Your message has been sent to the package maintainer(s):
 guix-patches@HIDDEN

If you wish to submit further information on this problem, please
send it to 44768 <at> debbugs.gnu.org.

Please do not send mail to help-debbugs@HIDDEN unless you wish
to report a problem with the Bug-tracking system.

--=20
44768: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=3D44768
GNU Bug Tracking System
Contact help-debbugs@HIDDEN with problems


Message sent to guix-patches@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: [bug#44768] [PATCH 2/2] gnu: Add lightspark.
References: <20201120200551.19145-1-monego@HIDDEN>
In-Reply-To: <20201120200551.19145-1-monego@HIDDEN>
Resent-From: Vinicius Monego <monego@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: guix-patches@HIDDEN
Resent-Date: Fri, 20 Nov 2020 20:09:01 +0000
Resent-Message-ID: <handler.44768.B44768.160590290219541 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 44768
X-GNU-PR-Package: guix-patches
X-GNU-PR-Keywords: patch
To: 44768 <at> debbugs.gnu.org
Cc: Vinicius Monego <monego@HIDDEN>
Received: via spool by 44768-submit <at> debbugs.gnu.org id=B44768.160590290219541
          (code B ref 44768); Fri, 20 Nov 2020 20:09:01 +0000
Received: (at 44768) by debbugs.gnu.org; 20 Nov 2020 20:08:22 +0000
Received: from localhost ([127.0.0.1]:44344 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kgChh-000557-FH
	for submit <at> debbugs.gnu.org; Fri, 20 Nov 2020 15:08:21 -0500
Received: from mout01.posteo.de ([185.67.36.65]:35761)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <monego@HIDDEN>) id 1kgChc-00054r-B0
 for 44768 <at> debbugs.gnu.org; Fri, 20 Nov 2020 15:08:20 -0500
Received: from submission (posteo.de [89.146.220.130]) 
 by mout01.posteo.de (Postfix) with ESMTPS id A35B716005F
 for <44768 <at> debbugs.gnu.org>; Fri, 20 Nov 2020 21:08:10 +0100 (CET)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=posteo.net; s=2017;
 t=1605902890; bh=wcZUMp0072U4RYWONHBCqnM7zA1bpaWua8qTO0vFjqg=;
 h=From:To:Cc:Subject:Date:From;
 b=f6rk0sQD52X6T41iqUGjaWMmUhsxzPT7q9LNsft0Awy2nJZt668LpcDQrejmrkp/E
 GQJXB//ULE0v34lpxi5BNoy7uRFKBKadQS5p0nOy4eaRl7cc5INHUXCTv9AWI46Sgy
 9Iy8fsNNmc9aiLgn8xx361LlbT3MeNYRvxcFD6UChY97MGNJpn0cFS3ZiHh5tEpfun
 GA/D05QxoicSjzd/OBBqd5p3LzOuD1/Cz3NumbI48Nk/b2y8zCZErO0E4DfBSme2Uz
 t+kQ1NTopFDFJ3a9SOrhWAhG8P4NAy7ZeJYTCoKdkB0ptcxCzLfo4hHqv2G8ObNBZE
 lkOpNyc8e612Q==
Received: from customer (localhost [127.0.0.1])
 by submission (posteo.de) with ESMTPSA id 4Cd6zs0lbQz6tmN;
 Fri, 20 Nov 2020 21:08:08 +0100 (CET)
From: Vinicius Monego <monego@HIDDEN>
Date: Fri, 20 Nov 2020 17:07:51 -0300
Message-Id: <20201120200751.19444-1-monego@HIDDEN>
X-Mailer: git-send-email 2.20.1
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -2.3 (--)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

* gnu/packages/animation.scm (lightspark): New variable.
---
 gnu/packages/animation.scm | 66 ++++++++++++++++++++++++++++++++++++++
 1 file changed, 66 insertions(+)

diff --git a/gnu/packages/animation.scm b/gnu/packages/animation.scm
index 3df3ce3eba..b43b1a4beb 100644
--- a/gnu/packages/animation.scm
+++ b/gnu/packages/animation.scm
@@ -25,9 +25,11 @@
   #:use-module (guix git-download)
   #:use-module (guix utils)
   #:use-module ((guix licenses) #:prefix license:)
+  #:use-module (guix build-system cmake)
   #:use-module (guix build-system gnu)
   #:use-module (gnu packages)
   #:use-module (gnu packages algebra)
+  #:use-module (gnu packages assembly)
   #:use-module (gnu packages autotools)
   #:use-module (gnu packages boost)
   #:use-module (gnu packages compression)
@@ -42,11 +44,15 @@
   #:use-module (gnu packages gtk)
   #:use-module (gnu packages image)
   #:use-module (gnu packages imagemagick)
+  #:use-module (gnu packages networking)
+  #:use-module (gnu packages pcre)
   #:use-module (gnu packages perl)
   #:use-module (gnu packages pkg-config)
   #:use-module (gnu packages pulseaudio)
+  #:use-module (gnu packages python)
   #:use-module (gnu packages qt)
   #:use-module (gnu packages sdl)
+  #:use-module (gnu packages tls)
   #:use-module (gnu packages video)
   #:use-module (gnu packages xiph))
 
@@ -393,3 +399,63 @@ audio or video backends, ensuring good performance.")
       (home-page "https://www.gnu.org/software/gnash/")
       (license license:gpl3+))))
 
+(define-public lightspark
+  (package
+    (name "lightspark")
+    (version "0.8.3")
+    (source
+     (origin
+       (method git-fetch)
+       (uri (git-reference
+             (url "https://github.com/lightspark/lightspark")
+             (commit version)))
+       (file-name (git-file-name name version))
+       (sha256
+        (base32 "0rgqqppnv4n3kv623sgr1zpc2fdsnrqzfiqgk4clcmfl5ipklg6f"))))
+    (build-system cmake-build-system)
+    (arguments
+     `(#:tests? #f ;requires Adobe Flex SDK, see README.tests
+       #:phases
+       (modify-phases %standard-phases
+         (add-after 'unpack 'relative-etc-dir
+           ;; Write default config file to ./etc instead of /etc.
+           (lambda _
+             (substitute* "CMakeLists.txt" (("\\/etc") "etc"))
+             #t))
+         (replace 'check
+           (lambda* (#:key tests? #:allow-other-keys)
+             (if tests?
+                 (begin
+                   (invoke "./tests"))
+                 #t))))))
+    (native-inputs
+     `(("gettext" ,gettext-minimal)
+       ("glib:bin" ,glib "bin")
+       ("nasm" ,nasm)
+       ("perl" ,perl)
+       ("pkg-config" ,pkg-config)
+       ("python" ,python-wrapper)))
+    (inputs
+     `(("cairo" ,cairo)
+       ("curl" ,curl)
+       ("ffmpeg" ,ffmpeg)
+       ("freeglut" ,freeglut)
+       ("glew" ,glew)
+       ("glibmm" ,glibmm)
+       ("gnash" ,gnash)
+       ("libjpeg" ,libjpeg-turbo)
+       ("openssl" ,openssl)
+       ("pango" ,pango)
+       ("pcre2" ,pcre2)
+       ("rtmpdump" ,rtmpdump)
+       ("sdl2" ,sdl2)
+       ("sdl2-mixer" ,sdl2-mixer)
+       ("zlib" ,zlib)))
+    (home-page "https://lightspark.github.io/")
+    (synopsis "Flash player implementation")
+    (description
+     "Lightspark is a Flash player implementation for playing files in the SWF
+format.  Lightspark can run as a web browser plugin or as a standalone
+application.  Lightspark supports SWF files written on all versions of the
+ActionScript language.")
+    (license license:lgpl3+)))
-- 
2.20.1





Message sent to guix-patches@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: [bug#44768] [PATCH v2] gnu: Add gnash.
References: <20201120200551.19145-1-monego@HIDDEN>
In-Reply-To: <20201120200551.19145-1-monego@HIDDEN>
Resent-From: Vinicius Monego <monego@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: guix-patches@HIDDEN
Resent-Date: Tue, 24 Nov 2020 23:06:02 +0000
Resent-Message-ID: <handler.44768.B44768.160625912422639 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 44768
X-GNU-PR-Package: guix-patches
X-GNU-PR-Keywords: patch
To: 44768 <at> debbugs.gnu.org
Cc: Vinicius Monego <monego@HIDDEN>
Received: via spool by 44768-submit <at> debbugs.gnu.org id=B44768.160625912422639
          (code B ref 44768); Tue, 24 Nov 2020 23:06:02 +0000
Received: (at 44768) by debbugs.gnu.org; 24 Nov 2020 23:05:24 +0000
Received: from localhost ([127.0.0.1]:33392 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1khhN7-0005sv-AM
	for submit <at> debbugs.gnu.org; Tue, 24 Nov 2020 18:05:24 -0500
Received: from mout02.posteo.de ([185.67.36.66]:53747)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <monego@HIDDEN>) id 1khhN1-0005sB-M8
 for 44768 <at> debbugs.gnu.org; Tue, 24 Nov 2020 18:05:15 -0500
Received: from submission (posteo.de [89.146.220.130]) 
 by mout02.posteo.de (Postfix) with ESMTPS id F06E82400FD
 for <44768 <at> debbugs.gnu.org>; Wed, 25 Nov 2020 00:05:04 +0100 (CET)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=posteo.net; s=2017;
 t=1606259105; bh=YwtL7kdpWsJAcYlfm/Bg7odX7izkUdArBKuv56VA79c=;
 h=From:To:Cc:Subject:Date:From;
 b=Lc4uNX0fjBtr5KAj7uXpjHyVc8kuegrSLac6IazpynYu4PjT0J160IuR07eczKNfp
 eNtrPFZ1EuadTB9jfcPw/pqjM9uOxJ7ubIMSHAX99RyVdorAF7QCYEmghTLaoBR5ab
 kT1mcyGairz9grO/VATOHJFYnGngv/BJ/7j8uakvqarUgtpzDDUiRTmOKaZ9I0Z6/m
 vohz54jLML1+n71rDHGKvysyQ2PTylTLGNSXmvlYBNh9ADrf+bPqIdr5MHopMg7LjH
 0IKZPxhWN0aPL4gibMbZFnr3TslXCOXHVp6FeFft89ksDeYVmE5Jxl1n7ulJXjRxW+
 vPVyfztsJLSlQ==
Received: from customer (localhost [127.0.0.1])
 by submission (posteo.de) with ESMTPSA id 4Cgfk71N4sz6tmB;
 Wed, 25 Nov 2020 00:05:02 +0100 (CET)
From: Vinicius Monego <monego@HIDDEN>
Date: Tue, 24 Nov 2020 20:04:46 -0300
Message-Id: <20201124230446.20948-1-monego@HIDDEN>
X-Mailer: git-send-email 2.20.1
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: -2.3 (--)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/animation.scm (gnash): New variable.
* gnu/packages/patches/gnash-fix-giflib-version: New file.
* gnu/local.mk (dist_patch_DATA): Add it.
---
I fixed some problems in the first patch. Resending a v2.

Removed pangox patch, use pangox-compat input instead.
Fixed year in the comment of last version.
Removed a stray comment in version.
Fixed jemalloc path.
Added python-wrapper to native-inputs.

 gnu/local.mk                                  |  2 +
 gnu/packages/animation.scm                    | 98 ++++++++++++++++++-
 .../patches/gnash-fix-giflib-version.patch    | 13 +++
 3 files changed, 112 insertions(+), 1 deletion(-)
 create mode 100644 gnu/packages/patches/gnash-fix-giflib-version.patch

diff --git a/gnu/local.mk b/gnu/local.mk
index 14b626c600..cddca06b2c 100644
--- a/gnu/local.mk
+++ b/gnu/local.mk
@@ -38,6 +38,7 @@
 # Copyright © 2020 Tanguy Le Carrour <tanguy@HIDDEN>
 # Copyright © 2020 Martin Becze <mjbecze@HIDDEN>
 # Copyright © 2020 Malte Frank Gerdes <mate.f.gerdes@HIDDEN>
+# Copyright © 2020 Vinicius Monego <monego@HIDDEN>
 #
 # This file is part of GNU Guix.
 #
@@ -1090,6 +1091,7 @@ dist_patch_DATA =						\
   %D%/packages/patches/glibc-supported-locales.patch     	\
   %D%/packages/patches/gmp-arm-asm-nothumb.patch		\
   %D%/packages/patches/gmp-faulty-test.patch			\
+  %D%/packages/patches/gnash-fix-giflib-version.patch	        \
   %D%/packages/patches/gnome-shell-theme.patch			\
   %D%/packages/patches/gnome-shell-disable-test.patch		\
   %D%/packages/patches/gnome-settings-daemon-gc.patch		\
diff --git a/gnu/packages/animation.scm b/gnu/packages/animation.scm
index 3176a1237a..245f36df3f 100644
--- a/gnu/packages/animation.scm
+++ b/gnu/packages/animation.scm
@@ -2,6 +2,7 @@
 ;;; Copyright © 2015, 2017 Ricardo Wurmus <rekado@HIDDEN>
 ;;; Copyright © 2018, 2019, 2020 Tobias Geerinckx-Rice <me@HIDDEN>
 ;;; Copyright © 2019 Pkill -9 <pkill9@HIDDEN>
+;;; Copyright © 2020 Vinicius Monego <monego@HIDDEN>
 ;;;
 ;;; This file is part of GNU Guix.
 ;;;
@@ -27,19 +28,30 @@
   #:use-module (guix build-system gnu)
   #:use-module (gnu packages)
   #:use-module (gnu packages algebra)
+  #:use-module (gnu packages autotools)
   #:use-module (gnu packages boost)
   #:use-module (gnu packages compression)
+  #:use-module (gnu packages curl)
+  #:use-module (gnu packages dejagnu)
   #:use-module (gnu packages fontutils)
+  #:use-module (gnu packages gettext)
+  #:use-module (gnu packages gl)
   #:use-module (gnu packages glib)
   #:use-module (gnu packages gnome)
   #:use-module (gnu packages graphics)
   #:use-module (gnu packages gtk)
   #:use-module (gnu packages image)
   #:use-module (gnu packages imagemagick)
+  #:use-module (gnu packages jemalloc)
+  #:use-module (gnu packages perl)
   #:use-module (gnu packages pkg-config)
   #:use-module (gnu packages pulseaudio)
+  #:use-module (gnu packages python)
   #:use-module (gnu packages qt)
-  #:use-module (gnu packages video))
+  #:use-module (gnu packages sdl)
+  #:use-module (gnu packages tls)
+  #:use-module (gnu packages video)
+  #:use-module (gnu packages xiph))
 
 ;; ETL, synfig, and Synfig Studio are updated in tandem.
 (define synfig-version "1.2.2")
@@ -301,3 +313,87 @@ waveform until they line up with the proper sounds.")
 lets you create traditional hand-drawn animations (cartoons) using both bitmap
 and vector graphics.")
     (license license:gpl2)))
+
+;; This package provides a standalone (no browser plugin) version of Gnash.
+(define-public gnash
+  ;; The last tagged release of Gnash was in 2013.
+  (let ((commit "583ccbc1275c7701dc4843ec12142ff86bb305b4")
+        (revision "0"))
+    (package
+      (name "gnash")
+      (version (git-version "0.8.11" revision commit))
+      (source
+       (origin
+         (method git-fetch)
+         (uri (git-reference
+               (url "https://git.savannah.gnu.org/git/gnash.git/")
+               (commit commit)))
+         (file-name (git-file-name name version))
+         (patches (search-patches "gnash-fix-giflib-version.patch"))
+         (sha256
+          (base32 "0fh0bljn0i6ypyh6l99afi855p7ki7lm869nq1qj6k8hrrwhmfry"))))
+      (build-system gnu-build-system)
+      (arguments
+       `(#:configure-flags
+         (list "--disable-static"
+               ;; Plugins are based on XULRunner and NPAPI only.  Disable.
+               "--disable-plugins"
+               "--enable-gui=gtk"
+               "--enable-media=ffmpeg"
+               (string-append "--with-boost-incl="
+                              (assoc-ref %build-inputs "boost") "/include")
+               (string-append "--with-boost-lib="
+                              (assoc-ref %build-inputs "boost") "/lib")
+               (string-append "--with-ffmpeg-incl="
+                              (assoc-ref %build-inputs "ffmpeg")
+                              "/include/libavcodec")
+               (string-append "--with-speex-incl="
+                              (assoc-ref %build-inputs "speex") "/include")
+               (string-append "--with-jemalloc-incl="
+                              (assoc-ref %build-inputs "jemalloc")
+                              "/include/jemalloc")
+               (string-append "--with-speex-lib="
+                              (assoc-ref %build-inputs "speex") "/lib")
+               (string-append "--with-jpeg-incl="
+                              (assoc-ref %build-inputs "libjpeg") "/include")
+               (string-append "--with-zlib-incl="
+                              (assoc-ref %build-inputs "zlib") "/include")
+               (string-append "--with-png-incl="
+                              (assoc-ref %build-inputs "libpng")
+                              "/include"))))
+      (native-inputs
+       `(("autoconf" ,autoconf)
+         ("automake" ,automake)
+         ("dejagnu" ,dejagnu) ;for tests
+         ("gettext" ,gettext-minimal)
+         ("libtool" ,libtool)
+         ("perl" ,perl)
+         ("pkg-config" ,pkg-config)
+         ("python" ,python-wrapper)))
+      (inputs
+       `(("agg" ,agg)
+         ("atk" ,atk)
+         ("boost" ,boost)
+         ("curl" ,curl)
+         ("ffmpeg" ,ffmpeg-2.8)
+         ("freeglut" ,freeglut)
+         ("gconf" ,gconf)
+         ("giflib" ,giflib)
+         ("glib" ,glib)
+         ("gtk+" ,gtk+-2)
+         ("gtkglext" ,gtkglext)
+         ("jemalloc" ,jemalloc)
+         ("libjpeg" ,libjpeg-turbo)
+         ("libltdl" ,libltdl)
+         ("libpng" ,libpng)
+         ("pangox-compat" ,pangox-compat)
+         ("sdl" ,sdl)
+         ("speex" ,speex)))
+      (synopsis "Flash movie player")
+      (description
+       "Gnash is a Flash movie player.  It supports SWF version v7 and some
+of v8 and v9.  It is possible to configure Gnash to use several differemt
+audio or video backends, ensuring good performance.")
+      (home-page "https://www.gnu.org/software/gnash/")
+      (license license:gpl3+))))
+
diff --git a/gnu/packages/patches/gnash-fix-giflib-version.patch b/gnu/packages/patches/gnash-fix-giflib-version.patch
new file mode 100644
index 0000000000..37213dac9b
--- /dev/null
+++ b/gnu/packages/patches/gnash-fix-giflib-version.patch
@@ -0,0 +1,13 @@
+diff --git a/libbase/GnashImageGif.cpp b/libbase/GnashImageGif.cpp
+index 2ae5ddb..b87b1e7 100644
+--- a/libbase/GnashImageGif.cpp
++++ b/libbase/GnashImageGif.cpp
+@@ -120,7 +120,7 @@ GifInput::GifInput(std::shared_ptr<IOChannel> in)
+ GifInput::~GifInput()
+ {
+     // Clean up allocated data.
+-#if GIFLIB_MAJOR==5 && GIFLIB_MINOR==1
++#if GIFLIB_MAJOR==5 && GIFLIB_MINOR!=0
+ 	DGifCloseFile(_gif, 0);
+ #else
+ 	DGifCloseFile(_gif);
-- 
2.20.1





Message sent to guix-patches@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: [bug#44768] [PATCH v2] gnu: Add gnash.
Resent-From: Mathieu Othacehe <othacehe@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: guix-patches@HIDDEN
Resent-Date: Wed, 25 Nov 2020 13:19:01 +0000
Resent-Message-ID: <handler.44768.B44768.160631028614604 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 44768
X-GNU-PR-Package: guix-patches
X-GNU-PR-Keywords: patch
To: Vinicius Monego <monego@HIDDEN>
Cc: 44768 <at> debbugs.gnu.org
Received: via spool by 44768-submit <at> debbugs.gnu.org id=B44768.160631028614604
          (code B ref 44768); Wed, 25 Nov 2020 13:19:01 +0000
Received: (at 44768) by debbugs.gnu.org; 25 Nov 2020 13:18:06 +0000
Received: from localhost ([127.0.0.1]:34694 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1khugQ-0003nU-Aq
	for submit <at> debbugs.gnu.org; Wed, 25 Nov 2020 08:18:06 -0500
Received: from eggs.gnu.org ([209.51.188.92]:47920)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <othacehe@HIDDEN>) id 1khugO-0003mw-HR
 for 44768 <at> debbugs.gnu.org; Wed, 25 Nov 2020 08:18:04 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:43917)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <othacehe@HIDDEN>)
 id 1khugF-00062q-An; Wed, 25 Nov 2020 08:17:56 -0500
Received: from [2a01:e0a:19b:d9a0:1c2b:7570:3d66:bb06] (port=54342 helo=cervin)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <othacehe@HIDDEN>)
 id 1khugE-0006Xe-S6; Wed, 25 Nov 2020 08:17:55 -0500
From: Mathieu Othacehe <othacehe@HIDDEN>
References: <20201120200551.19145-1-monego@HIDDEN>
 <20201124230446.20948-1-monego@HIDDEN>
Date: Wed, 25 Nov 2020 14:17:53 +0100
In-Reply-To: <20201124230446.20948-1-monego@HIDDEN> (Vinicius Monego's
 message of "Tue, 24 Nov 2020 20:04:46 -0300")
Message-ID: <87y2iplgn2.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -2.3 (--)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)


Hey Vinicius,

> +of v8 and v9.  It is possible to configure Gnash to use several differemt

Small typo here: "different".
                                                                       
> +     // Clean up allocated data.
> +-#if GIFLIB_MAJOR==5 && GIFLIB_MINOR==1
> ++#if GIFLIB_MAJOR==5 && GIFLIB_MINOR!=0

It would be nice to add a small comment with the patch to explain what
it does and who is the author.

Could you also rebase your "lightspark" patch on top of the gnash v2?

Thanks,

Mathieu




Message sent to guix-patches@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: [bug#44768] [PATCH v3 1/2] gnu: Add gnash.
References: <20201120200551.19145-1-monego@HIDDEN>
In-Reply-To: <20201120200551.19145-1-monego@HIDDEN>
Resent-From: Vinicius Monego <monego@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: guix-patches@HIDDEN
Resent-Date: Wed, 25 Nov 2020 17:20:02 +0000
Resent-Message-ID: <handler.44768.B44768.160632476914707 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 44768
X-GNU-PR-Package: guix-patches
X-GNU-PR-Keywords: patch
To: 44768 <at> debbugs.gnu.org
Cc: Vinicius Monego <monego@HIDDEN>
Received: via spool by 44768-submit <at> debbugs.gnu.org id=B44768.160632476914707
          (code B ref 44768); Wed, 25 Nov 2020 17:20:02 +0000
Received: (at 44768) by debbugs.gnu.org; 25 Nov 2020 17:19:29 +0000
Received: from localhost ([127.0.0.1]:36808 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1khyRt-0003oz-IA
	for submit <at> debbugs.gnu.org; Wed, 25 Nov 2020 12:19:28 -0500
Received: from mout01.posteo.de ([185.67.36.65]:48750)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <monego@HIDDEN>) id 1khyRo-0003oh-7N
 for 44768 <at> debbugs.gnu.org; Wed, 25 Nov 2020 12:19:20 -0500
Received: from submission (posteo.de [89.146.220.130]) 
 by mout01.posteo.de (Postfix) with ESMTPS id B561B16005F
 for <44768 <at> debbugs.gnu.org>; Wed, 25 Nov 2020 18:19:09 +0100 (CET)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=posteo.net; s=2017;
 t=1606324749; bh=J3y9yoIUQZWWpqzOMNToDTLzLSB1jAtRSZALrnMEpho=;
 h=From:To:Cc:Subject:Date:From;
 b=JUugdKQEIYhhi9TnbJTTUmmDcHPiqBtEMpM4bU2HIWykx1cqsQUWYe53rFf9XBCO/
 vWbyb51hb9glDmvZuzbcHsLLpyHjPTZzvSZ5jto1WzMb99O9gEnAcJK8dQjidET9sX
 P1N05nwNjuAgLN3FXb3o/HpcsiXg6KubhgGcscl45WUqS9PY+HEV/+WI28Qhw4c2q2
 WEOJmH0DRqKDQb5O/cXmuiafO1e/c6UZwdFoI2UsFVFSfMBMiWs3QxTGj1RblbchOz
 8z91Q91vu1vK8kjLDQE7zqMIVJTjxFpDOZpHc7Ht2B+lLvRjLmJbF2UgyhyZDngWy3
 NoFV9Hk/7G/XQ==
Received: from customer (localhost [127.0.0.1])
 by submission (posteo.de) with ESMTPSA id 4Ch70W6hbRz6tmN;
 Wed, 25 Nov 2020 18:19:07 +0100 (CET)
From: Vinicius Monego <monego@HIDDEN>
Date: Wed, 25 Nov 2020 14:18:56 -0300
Message-Id: <20201125171857.28120-1-monego@HIDDEN>
X-Mailer: git-send-email 2.20.1
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: -2.3 (--)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/animation.scm (gnash): New variable.
* gnu/packages/patches/gnash-fix-giflib-version: New file.
* gnu/local.mk (dist_patch_DATA): Add it.
---
Corrected typo in the description
Added data about the patch in patch file

 gnu/local.mk                                  |  2 +
 gnu/packages/animation.scm                    | 98 ++++++++++++++++++-
 .../patches/gnash-fix-giflib-version.patch    | 17 ++++
 3 files changed, 116 insertions(+), 1 deletion(-)
 create mode 100644 gnu/packages/patches/gnash-fix-giflib-version.patch

diff --git a/gnu/local.mk b/gnu/local.mk
index 14b626c600..cddca06b2c 100644
--- a/gnu/local.mk
+++ b/gnu/local.mk
@@ -38,6 +38,7 @@
 # Copyright © 2020 Tanguy Le Carrour <tanguy@HIDDEN>
 # Copyright © 2020 Martin Becze <mjbecze@HIDDEN>
 # Copyright © 2020 Malte Frank Gerdes <mate.f.gerdes@HIDDEN>
+# Copyright © 2020 Vinicius Monego <monego@HIDDEN>
 #
 # This file is part of GNU Guix.
 #
@@ -1090,6 +1091,7 @@ dist_patch_DATA =						\
   %D%/packages/patches/glibc-supported-locales.patch     	\
   %D%/packages/patches/gmp-arm-asm-nothumb.patch		\
   %D%/packages/patches/gmp-faulty-test.patch			\
+  %D%/packages/patches/gnash-fix-giflib-version.patch	        \
   %D%/packages/patches/gnome-shell-theme.patch			\
   %D%/packages/patches/gnome-shell-disable-test.patch		\
   %D%/packages/patches/gnome-settings-daemon-gc.patch		\
diff --git a/gnu/packages/animation.scm b/gnu/packages/animation.scm
index 3176a1237a..102b0f47f7 100644
--- a/gnu/packages/animation.scm
+++ b/gnu/packages/animation.scm
@@ -2,6 +2,7 @@
 ;;; Copyright © 2015, 2017 Ricardo Wurmus <rekado@HIDDEN>
 ;;; Copyright © 2018, 2019, 2020 Tobias Geerinckx-Rice <me@HIDDEN>
 ;;; Copyright © 2019 Pkill -9 <pkill9@HIDDEN>
+;;; Copyright © 2020 Vinicius Monego <monego@HIDDEN>
 ;;;
 ;;; This file is part of GNU Guix.
 ;;;
@@ -27,19 +28,30 @@
   #:use-module (guix build-system gnu)
   #:use-module (gnu packages)
   #:use-module (gnu packages algebra)
+  #:use-module (gnu packages autotools)
   #:use-module (gnu packages boost)
   #:use-module (gnu packages compression)
+  #:use-module (gnu packages curl)
+  #:use-module (gnu packages dejagnu)
   #:use-module (gnu packages fontutils)
+  #:use-module (gnu packages gettext)
+  #:use-module (gnu packages gl)
   #:use-module (gnu packages glib)
   #:use-module (gnu packages gnome)
   #:use-module (gnu packages graphics)
   #:use-module (gnu packages gtk)
   #:use-module (gnu packages image)
   #:use-module (gnu packages imagemagick)
+  #:use-module (gnu packages jemalloc)
+  #:use-module (gnu packages perl)
   #:use-module (gnu packages pkg-config)
   #:use-module (gnu packages pulseaudio)
+  #:use-module (gnu packages python)
   #:use-module (gnu packages qt)
-  #:use-module (gnu packages video))
+  #:use-module (gnu packages sdl)
+  #:use-module (gnu packages tls)
+  #:use-module (gnu packages video)
+  #:use-module (gnu packages xiph))
 
 ;; ETL, synfig, and Synfig Studio are updated in tandem.
 (define synfig-version "1.2.2")
@@ -301,3 +313,87 @@ waveform until they line up with the proper sounds.")
 lets you create traditional hand-drawn animations (cartoons) using both bitmap
 and vector graphics.")
     (license license:gpl2)))
+
+;; This package provides a standalone (no browser plugin) version of Gnash.
+(define-public gnash
+  ;; The last tagged release of Gnash was in 2013.
+  (let ((commit "583ccbc1275c7701dc4843ec12142ff86bb305b4")
+        (revision "0"))
+    (package
+      (name "gnash")
+      (version (git-version "0.8.11" revision commit))
+      (source
+       (origin
+         (method git-fetch)
+         (uri (git-reference
+               (url "https://git.savannah.gnu.org/git/gnash.git/")
+               (commit commit)))
+         (file-name (git-file-name name version))
+         (patches (search-patches "gnash-fix-giflib-version.patch"))
+         (sha256
+          (base32 "0fh0bljn0i6ypyh6l99afi855p7ki7lm869nq1qj6k8hrrwhmfry"))))
+      (build-system gnu-build-system)
+      (arguments
+       `(#:configure-flags
+         (list "--disable-static"
+               ;; Plugins are based on XULRunner and NPAPI only.  Disable.
+               "--disable-plugins"
+               "--enable-gui=gtk"
+               "--enable-media=ffmpeg"
+               (string-append "--with-boost-incl="
+                              (assoc-ref %build-inputs "boost") "/include")
+               (string-append "--with-boost-lib="
+                              (assoc-ref %build-inputs "boost") "/lib")
+               (string-append "--with-ffmpeg-incl="
+                              (assoc-ref %build-inputs "ffmpeg")
+                              "/include/libavcodec")
+               (string-append "--with-speex-incl="
+                              (assoc-ref %build-inputs "speex") "/include")
+               (string-append "--with-jemalloc-incl="
+                              (assoc-ref %build-inputs "jemalloc")
+                              "/include/jemalloc")
+               (string-append "--with-speex-lib="
+                              (assoc-ref %build-inputs "speex") "/lib")
+               (string-append "--with-jpeg-incl="
+                              (assoc-ref %build-inputs "libjpeg") "/include")
+               (string-append "--with-zlib-incl="
+                              (assoc-ref %build-inputs "zlib") "/include")
+               (string-append "--with-png-incl="
+                              (assoc-ref %build-inputs "libpng")
+                              "/include"))))
+      (native-inputs
+       `(("autoconf" ,autoconf)
+         ("automake" ,automake)
+         ("dejagnu" ,dejagnu) ;for tests
+         ("gettext" ,gettext-minimal)
+         ("libtool" ,libtool)
+         ("perl" ,perl)
+         ("pkg-config" ,pkg-config)
+         ("python" ,python-wrapper)))
+      (inputs
+       `(("agg" ,agg)
+         ("atk" ,atk)
+         ("boost" ,boost)
+         ("curl" ,curl)
+         ("ffmpeg" ,ffmpeg-2.8)
+         ("freeglut" ,freeglut)
+         ("gconf" ,gconf)
+         ("giflib" ,giflib)
+         ("glib" ,glib)
+         ("gtk+" ,gtk+-2)
+         ("gtkglext" ,gtkglext)
+         ("jemalloc" ,jemalloc)
+         ("libjpeg" ,libjpeg-turbo)
+         ("libltdl" ,libltdl)
+         ("libpng" ,libpng)
+         ("pangox-compat" ,pangox-compat)
+         ("sdl" ,sdl)
+         ("speex" ,speex)))
+      (synopsis "Flash movie player")
+      (description
+       "Gnash is a Flash movie player.  It supports SWF version v7 and some
+of v8 and v9.  It is possible to configure Gnash to use several different
+audio or video backends, ensuring good performance.")
+      (home-page "https://www.gnu.org/software/gnash/")
+      (license license:gpl3+))))
+
diff --git a/gnu/packages/patches/gnash-fix-giflib-version.patch b/gnu/packages/patches/gnash-fix-giflib-version.patch
new file mode 100644
index 0000000000..44816d2a14
--- /dev/null
+++ b/gnu/packages/patches/gnash-fix-giflib-version.patch
@@ -0,0 +1,17 @@
+Description: Change GIFLIB_MINOR to allow matching with v5.2+
+Source: https://savannah.gnu.org/patch/index.php?9873
+Author: marius851000
+
+diff --git a/libbase/GnashImageGif.cpp b/libbase/GnashImageGif.cpp
+index 2ae5ddb..b87b1e7 100644
+--- a/libbase/GnashImageGif.cpp
++++ b/libbase/GnashImageGif.cpp
+@@ -120,7 +120,7 @@ GifInput::GifInput(std::shared_ptr<IOChannel> in)
+ GifInput::~GifInput()
+ {
+     // Clean up allocated data.
+-#if GIFLIB_MAJOR==5 && GIFLIB_MINOR==1
++#if GIFLIB_MAJOR==5 && GIFLIB_MINOR!=0
+ 	DGifCloseFile(_gif, 0);
+ #else
+ 	DGifCloseFile(_gif);
-- 
2.20.1





Message sent to guix-patches@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: [bug#44768] [PATCH v3 2/2] gnu: Add lightspark.
Resent-From: Vinicius Monego <monego@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: guix-patches@HIDDEN
Resent-Date: Wed, 25 Nov 2020 17:20:02 +0000
Resent-Message-ID: <handler.44768.B44768.160632477214722 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 44768
X-GNU-PR-Package: guix-patches
X-GNU-PR-Keywords: patch
To: 44768 <at> debbugs.gnu.org
Cc: Vinicius Monego <monego@HIDDEN>
Received: via spool by 44768-submit <at> debbugs.gnu.org id=B44768.160632477214722
          (code B ref 44768); Wed, 25 Nov 2020 17:20:02 +0000
Received: (at 44768) by debbugs.gnu.org; 25 Nov 2020 17:19:32 +0000
Received: from localhost ([127.0.0.1]:36812 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1khyS3-0003pO-UZ
	for submit <at> debbugs.gnu.org; Wed, 25 Nov 2020 12:19:32 -0500
Received: from mout01.posteo.de ([185.67.36.65]:51446)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <monego@HIDDEN>) id 1khyS1-0003p2-Uj
 for 44768 <at> debbugs.gnu.org; Wed, 25 Nov 2020 12:19:30 -0500
Received: from submission (posteo.de [89.146.220.130]) 
 by mout01.posteo.de (Postfix) with ESMTPS id 4118616005F
 for <44768 <at> debbugs.gnu.org>; Wed, 25 Nov 2020 18:19:24 +0100 (CET)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=posteo.net; s=2017;
 t=1606324764; bh=U0Ew98KEEWDmKcSMvr23v0mMxzyVXv6QPIpnLYIWJT4=;
 h=From:To:Cc:Subject:Date:From;
 b=U8sy0SBItzmZ6yVg2/Po41hw4IFPlV6kjBbr7Il4yyNVCfmwO2KMAQSvwA9e4Q8W+
 Lx4beaVApIW9IL6ptgMI3+JtO1RZ6NymlfUQcPrtY6HWVtfHNt+cqdU/aV4VR6PRLK
 D8eVyqgHI/d5Qt6uXSdiboZ/yejROsaqZ/gOvwcTAHNu/+DPVQzedhbpF9n+/A9GRX
 kJFZelCdZenurQQoR2TMxyhpWzw5MjUTe1br6NHs1xUA7kgZRIrUZnPJqauhTsVSA9
 OpJaN8ApJG1qPxbFSgAaxUl6Glss0Oj//Vde2JAvT0appybvST8ufpIKSSLeH9YYTX
 t0fDOqjKq3mnA==
Received: from customer (localhost [127.0.0.1])
 by submission (posteo.de) with ESMTPSA id 4Ch70p5dVdz6tmN;
 Wed, 25 Nov 2020 18:19:22 +0100 (CET)
From: Vinicius Monego <monego@HIDDEN>
Date: Wed, 25 Nov 2020 14:18:57 -0300
Message-Id: <20201125171857.28120-2-monego@HIDDEN>
X-Mailer: git-send-email 2.20.1
In-Reply-To: <20201125171857.28120-1-monego@HIDDEN>
References: <20201125171857.28120-1-monego@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -2.3 (--)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

* gnu/packages/animation.scm (lightspark): New variable.
---
Rebased on the previous commit

 gnu/packages/animation.scm | 64 ++++++++++++++++++++++++++++++++++++++
 1 file changed, 64 insertions(+)

diff --git a/gnu/packages/animation.scm b/gnu/packages/animation.scm
index 102b0f47f7..9b94c1d214 100644
--- a/gnu/packages/animation.scm
+++ b/gnu/packages/animation.scm
@@ -25,9 +25,11 @@
   #:use-module (guix git-download)
   #:use-module (guix utils)
   #:use-module ((guix licenses) #:prefix license:)
+  #:use-module (guix build-system cmake)
   #:use-module (guix build-system gnu)
   #:use-module (gnu packages)
   #:use-module (gnu packages algebra)
+  #:use-module (gnu packages assembly)
   #:use-module (gnu packages autotools)
   #:use-module (gnu packages boost)
   #:use-module (gnu packages compression)
@@ -43,6 +45,8 @@
   #:use-module (gnu packages image)
   #:use-module (gnu packages imagemagick)
   #:use-module (gnu packages jemalloc)
+  #:use-module (gnu packages networking)
+  #:use-module (gnu packages pcre)
   #:use-module (gnu packages perl)
   #:use-module (gnu packages pkg-config)
   #:use-module (gnu packages pulseaudio)
@@ -397,3 +401,63 @@ audio or video backends, ensuring good performance.")
       (home-page "https://www.gnu.org/software/gnash/")
       (license license:gpl3+))))
 
+(define-public lightspark
+  (package
+    (name "lightspark")
+    (version "0.8.3")
+    (source
+     (origin
+       (method git-fetch)
+       (uri (git-reference
+             (url "https://github.com/lightspark/lightspark")
+             (commit version)))
+       (file-name (git-file-name name version))
+       (sha256
+        (base32 "0rgqqppnv4n3kv623sgr1zpc2fdsnrqzfiqgk4clcmfl5ipklg6f"))))
+    (build-system cmake-build-system)
+    (arguments
+     `(#:tests? #f ;requires Adobe Flex SDK, see README.tests
+       #:phases
+       (modify-phases %standard-phases
+         (add-after 'unpack 'relative-etc-dir
+           ;; Write default config file to ./etc instead of /etc.
+           (lambda _
+             (substitute* "CMakeLists.txt" (("\\/etc") "etc"))
+             #t))
+         (replace 'check
+           (lambda* (#:key tests? #:allow-other-keys)
+             (if tests?
+                 (begin
+                   (invoke "./tests"))
+                 #t))))))
+    (native-inputs
+     `(("gettext" ,gettext-minimal)
+       ("glib:bin" ,glib "bin")
+       ("nasm" ,nasm)
+       ("perl" ,perl)
+       ("pkg-config" ,pkg-config)
+       ("python" ,python-wrapper)))
+    (inputs
+     `(("cairo" ,cairo)
+       ("curl" ,curl)
+       ("ffmpeg" ,ffmpeg)
+       ("freeglut" ,freeglut)
+       ("glew" ,glew)
+       ("glibmm" ,glibmm)
+       ("gnash" ,gnash)
+       ("libjpeg" ,libjpeg-turbo)
+       ("openssl" ,openssl)
+       ("pango" ,pango)
+       ("pcre2" ,pcre2)
+       ("rtmpdump" ,rtmpdump)
+       ("sdl2" ,sdl2)
+       ("sdl2-mixer" ,sdl2-mixer)
+       ("zlib" ,zlib)))
+    (home-page "https://lightspark.github.io/")
+    (synopsis "Flash player implementation")
+    (description
+     "Lightspark is a Flash player implementation for playing files in the SWF
+format.  Lightspark can run as a web browser plugin or as a standalone
+application.  Lightspark supports SWF files written on all versions of the
+ActionScript language.")
+    (license license:lgpl3+)))
-- 
2.20.1





Message sent to guix-patches@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: [bug#44768] [PATCH v3 1/2] gnu: Add gnash.
Resent-From: Christopher Baines <mail@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: guix-patches@HIDDEN
Resent-Date: Sat, 28 Nov 2020 16:13:01 +0000
Resent-Message-ID: <handler.44768.B44768.160657995211794 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 44768
X-GNU-PR-Package: guix-patches
X-GNU-PR-Keywords: patch
To: Vinicius Monego <monego@HIDDEN>
Cc: 44768 <at> debbugs.gnu.org
Received: via spool by 44768-submit <at> debbugs.gnu.org id=B44768.160657995211794
          (code B ref 44768); Sat, 28 Nov 2020 16:13:01 +0000
Received: (at 44768) by debbugs.gnu.org; 28 Nov 2020 16:12:32 +0000
Received: from localhost ([127.0.0.1]:48884 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kj2po-000345-5y
	for submit <at> debbugs.gnu.org; Sat, 28 Nov 2020 11:12:32 -0500
Received: from mira.cbaines.net ([212.71.252.8]:33366)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mail@HIDDEN>) id 1kj2pi-00033u-P2
 for 44768 <at> debbugs.gnu.org; Sat, 28 Nov 2020 11:12:27 -0500
Received: from localhost (188.28.112.52.threembb.co.uk [188.28.112.52])
 by mira.cbaines.net (Postfix) with ESMTPSA id D1A1627BBF8;
 Sat, 28 Nov 2020 16:12:21 +0000 (GMT)
Received: from capella (localhost [127.0.0.1])
 by localhost (OpenSMTPD) with ESMTP id af84ce87;
 Sat, 28 Nov 2020 16:12:19 +0000 (UTC)
References: <20201120200551.19145-1-monego@HIDDEN>
 <20201125171857.28120-1-monego@HIDDEN>
User-agent: mu4e 1.4.13; emacs 27.1
From: Christopher Baines <mail@HIDDEN>
In-reply-to: <20201125171857.28120-1-monego@HIDDEN>
Date: Sat, 28 Nov 2020 16:12:17 +0000
Message-ID: <878saltq8u.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha512; protocol="application/pgp-signature"
X-Spam-Score: -0.0 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--=-=-=
Content-Type: text/plain


Vinicius Monego <monego@HIDDEN> writes:

> * gnu/packages/animation.scm (gnash): New variable.
> * gnu/packages/patches/gnash-fix-giflib-version: New file.
> * gnu/local.mk (dist_patch_DATA): Add it.
> ---
> Corrected typo in the description
> Added data about the patch in patch file

Hi!

I've gone ahead and pushed this patch for gnash to master as
c76d0201f7cc639f51dbf259779d86dad62417cd.

The only thing I changed was moving the package up off the bottom of the
file.

I'll send another email about lightspark.

Thanks,

Chris

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQKlBAEBCgCPFiEEPonu50WOcg2XVOCyXiijOwuE9XcFAl/CduFfFIAAAAAALgAo
aXNzdWVyLWZwckBub3RhdGlvbnMub3BlbnBncC5maWZ0aGhvcnNlbWFuLm5ldDNF
ODlFRUU3NDU4RTcyMEQ5NzU0RTBCMjVFMjhBMzNCMEI4NEY1NzcRHG1haWxAY2Jh
aW5lcy5uZXQACgkQXiijOwuE9XfpoRAAtEijqJ2mDoTRoV+yxotf0fmG9EW45fKX
gnd42k3Z1HPKTRJ8hDID4HJez40BVJ3IMvdO5TiaFRMRYkN5UDAGIUWjxiF+bhNj
tXqVr6aQNPl9Bnsahhbiyou9oYXNHWeyO6WLMm5VVqIjaF+pT3JEiZ0l1T72W+z5
+hGgm//BE5Q+4sd9YxfEydq/6yGepnkWdh/hDxibSWAVKUFg+NxTv+TlKZ8BPhY4
D9WL9Z9j4vqhJsPfgCtBHfIdfvbG6PSti3rDR5PoSusoqpWUP8FOUAThHVTu765G
J3rybgfS7qMtWuTtgGFg9SCQOHAZjcqWr7XGBT3z6fai3rXCjCI8Y2ElECLYTVZt
d69ik6O6T1YCbIP2U0sAhFtXj8XR9rGekAkxkRPq3rBLLCrFaIJJpsOShYml8sXQ
vPzKQnDBX+2jnrO3WOEijobtSPldfIuuggXuS0nzlp2mxAdH5H609FRCIr11MlLK
3J1q7qwjqf3GZ76EbQITHaHSl190ebtdTh4CUSu3JRpa0M8GEt8NRsLfZF20C8SM
V6sM/WbF7PvqQgTmhG5XINVeFFHZN1nZ5NfYglaWlpcQ45Xsqdl4dzwEMF5n/cZP
gEo/hhTmZOu10JhQelCkWswWmq4DCLycl+RXFTh+XR1oEPmoph3QzelylXXY+/Xt
tjLFT49nY8Y=
=THyL
-----END PGP SIGNATURE-----
--=-=-=--




Message sent to guix-patches@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: [bug#44768] [PATCH v3 2/2] gnu: Add lightspark.
Resent-From: Christopher Baines <mail@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: guix-patches@HIDDEN
Resent-Date: Sat, 28 Nov 2020 16:16:02 +0000
Resent-Message-ID: <handler.44768.B44768.160658010712063 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 44768
X-GNU-PR-Package: guix-patches
X-GNU-PR-Keywords: patch
To: Vinicius Monego <monego@HIDDEN>
Cc: 44768 <at> debbugs.gnu.org
Received: via spool by 44768-submit <at> debbugs.gnu.org id=B44768.160658010712063
          (code B ref 44768); Sat, 28 Nov 2020 16:16:02 +0000
Received: (at 44768) by debbugs.gnu.org; 28 Nov 2020 16:15:07 +0000
Received: from localhost ([127.0.0.1]:48888 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kj2sM-00038V-NJ
	for submit <at> debbugs.gnu.org; Sat, 28 Nov 2020 11:15:07 -0500
Received: from mira.cbaines.net ([212.71.252.8]:33384)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mail@HIDDEN>) id 1kj2sK-00038L-NN
 for 44768 <at> debbugs.gnu.org; Sat, 28 Nov 2020 11:15:05 -0500
Received: from localhost (188.28.112.52.threembb.co.uk [188.28.112.52])
 by mira.cbaines.net (Postfix) with ESMTPSA id 1EA1A27BBF8;
 Sat, 28 Nov 2020 16:15:04 +0000 (GMT)
Received: from capella (localhost [127.0.0.1])
 by localhost (OpenSMTPD) with ESMTP id 55912876;
 Sat, 28 Nov 2020 16:15:01 +0000 (UTC)
References: <20201125171857.28120-1-monego@HIDDEN>
 <20201125171857.28120-2-monego@HIDDEN>
User-agent: mu4e 1.4.13; emacs 27.1
From: Christopher Baines <mail@HIDDEN>
In-reply-to: <20201125171857.28120-2-monego@HIDDEN>
Date: Sat, 28 Nov 2020 16:15:01 +0000
Message-ID: <875z5ptq4a.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha512; protocol="application/pgp-signature"
X-Spam-Score: -0.0 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--=-=-=
Content-Type: text/plain
Content-Transfer-Encoding: quoted-printable


Vinicius Monego <monego@HIDDEN> writes:

> * gnu/packages/animation.scm (lightspark): New variable.
> ---
> Rebased on the previous commit

Thanks for the patch, the main thing I noticed with this is that there's
some bundled code, at least I spotted pugixml included in the lightspark
code, and Guix already has a package for pugixml.

If possible, lightspark should be built with pugixml from Guix.

>  gnu/packages/animation.scm | 64 ++++++++++++++++++++++++++++++++++++++
>  1 file changed, 64 insertions(+)
>
> diff --git a/gnu/packages/animation.scm b/gnu/packages/animation.scm
> index 102b0f47f7..9b94c1d214 100644
> --- a/gnu/packages/animation.scm
> +++ b/gnu/packages/animation.scm
> @@ -25,9 +25,11 @@
>    #:use-module (guix git-download)
>    #:use-module (guix utils)
>    #:use-module ((guix licenses) #:prefix license:)
> +  #:use-module (guix build-system cmake)
>    #:use-module (guix build-system gnu)
>    #:use-module (gnu packages)
>    #:use-module (gnu packages algebra)
> +  #:use-module (gnu packages assembly)
>    #:use-module (gnu packages autotools)
>    #:use-module (gnu packages boost)
>    #:use-module (gnu packages compression)
> @@ -43,6 +45,8 @@
>    #:use-module (gnu packages image)
>    #:use-module (gnu packages imagemagick)
>    #:use-module (gnu packages jemalloc)
> +  #:use-module (gnu packages networking)
> +  #:use-module (gnu packages pcre)
>    #:use-module (gnu packages perl)
>    #:use-module (gnu packages pkg-config)
>    #:use-module (gnu packages pulseaudio)
> @@ -397,3 +401,63 @@ audio or video backends, ensuring good performance.")
>        (home-page "https://www.gnu.org/software/gnash/")
>        (license license:gpl3+))))
>=20=20
> +(define-public lightspark
> +  (package
> +    (name "lightspark")
> +    (version "0.8.3")
> +    (source
> +     (origin
> +       (method git-fetch)
> +       (uri (git-reference
> +             (url "https://github.com/lightspark/lightspark")
> +             (commit version)))
> +       (file-name (git-file-name name version))
> +       (sha256
> +        (base32 "0rgqqppnv4n3kv623sgr1zpc2fdsnrqzfiqgk4clcmfl5ipklg6f"))=
))
> +    (build-system cmake-build-system)
> +    (arguments
> +     `(#:tests? #f ;requires Adobe Flex SDK, see README.tests
> +       #:phases
> +       (modify-phases %standard-phases
> +         (add-after 'unpack 'relative-etc-dir
> +           ;; Write default config file to ./etc instead of /etc.
> +           (lambda _
> +             (substitute* "CMakeLists.txt" (("\\/etc") "etc"))
> +             #t))
> +         (replace 'check
> +           (lambda* (#:key tests? #:allow-other-keys)
> +             (if tests?
> +                 (begin
> +                   (invoke "./tests"))
> +                 #t))))))

I'd normally write this as:

  (when tests?
    (invoke "./tests"))
  #t

> +    (native-inputs
> +     `(("gettext" ,gettext-minimal)
> +       ("glib:bin" ,glib "bin")
> +       ("nasm" ,nasm)
> +       ("perl" ,perl)
> +       ("pkg-config" ,pkg-config)
> +       ("python" ,python-wrapper)))
> +    (inputs
> +     `(("cairo" ,cairo)
> +       ("curl" ,curl)
> +       ("ffmpeg" ,ffmpeg)
> +       ("freeglut" ,freeglut)
> +       ("glew" ,glew)
> +       ("glibmm" ,glibmm)
> +       ("gnash" ,gnash)
> +       ("libjpeg" ,libjpeg-turbo)
> +       ("openssl" ,openssl)
> +       ("pango" ,pango)
> +       ("pcre2" ,pcre2)
> +       ("rtmpdump" ,rtmpdump)
> +       ("sdl2" ,sdl2)
> +       ("sdl2-mixer" ,sdl2-mixer)
> +       ("zlib" ,zlib)))
> +    (home-page "https://lightspark.github.io/")
> +    (synopsis "Flash player implementation")
> +    (description
> +     "Lightspark is a Flash player implementation for playing files in t=
he SWF
> +format.  Lightspark can run as a web browser plugin or as a standalone
> +application.  Lightspark supports SWF files written on all versions of t=
he
> +ActionScript language.")
> +    (license license:lgpl3+)))


--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQKlBAEBCgCPFiEEPonu50WOcg2XVOCyXiijOwuE9XcFAl/Cd4VfFIAAAAAALgAo
aXNzdWVyLWZwckBub3RhdGlvbnMub3BlbnBncC5maWZ0aGhvcnNlbWFuLm5ldDNF
ODlFRUU3NDU4RTcyMEQ5NzU0RTBCMjVFMjhBMzNCMEI4NEY1NzcRHG1haWxAY2Jh
aW5lcy5uZXQACgkQXiijOwuE9XfU1Q/+KiU2IZj2uO7jW6jkhH6oIFf8a+X9XKA7
dgBFcAXjBgyQ6fl/DKH/k7rvS4ezL/4Py9tSlRTNqn0BYMinbK+W1/oOf6d7FOyx
MGWjd+Ek/01XAKZ6vn1X2XqOOREpXx//5ig2FAiy1UDAzf8U/XY+k2vE3riPfo6V
ws3r1tx90Ay+O2k2QzNyUCvVPISvTl/pcrBLwzq0h9QVfki2wYBPCBPIsosTx8xL
TZhbAcWpW4IJWqw3wL+zoo4ggHRyGv5DMhbzOj4tvBlDsIepqt4Q33CscEKfOxUM
AUMWXEHAchqAfHPBFHndDycn3FBKo6NxwjULt/RgdE3uvxFoau3hLHGkOcm83EiC
E/kzBOzOvogVY9nfi7XKng8FymDzn/JvVbRLwXeXyxOlPDeUrMIUjS3k88R0kzxv
JIW4avdUW/17BIRZRhfjD1KK7iPY7Fx9DJaWaXyiZMlT2fO9dom8hPDfXlJgBbhD
yJeyXjbPJGLfPCNiNfFgwPY830JRzPvVohb6ugDmUjXtQ3D//3woeoXypIIEN/A+
mb+fGH3U5+ZIHIxcTNeEZLDceMPx9kA6MGZGcweOGQb1jqPISms1Qch8Qt4HlSBx
kkruhGUanYHEfubpGk0eP1SiigpJfhISzrs72Hb1Ib1UZIoiPKP46mfX0gut2GdW
XyKrQc1VvoI=
=d6SQ
-----END PGP SIGNATURE-----
--=-=-=--




Message received at control <at> debbugs.gnu.org:


Received: (at control) by debbugs.gnu.org; 18 Dec 2020 12:54:39 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Dec 18 07:54:39 2020
Received: from localhost ([127.0.0.1]:38040 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kqFHL-0004Ts-79
	for submit <at> debbugs.gnu.org; Fri, 18 Dec 2020 07:54:39 -0500
Received: from eggs.gnu.org ([209.51.188.92]:54616)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1kqFHJ-0004Tf-M0
 for control <at> debbugs.gnu.org; Fri, 18 Dec 2020 07:54:37 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:57561)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <ludo@HIDDEN>) id 1kqFHE-00087w-BY
 for control <at> debbugs.gnu.org; Fri, 18 Dec 2020 07:54:32 -0500
Received: from [2a01:e0a:1d:7270:af76:b9b:ca24:c465] (port=52586 helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <ludo@HIDDEN>) id 1kqFHC-0005ke-8p
 for control <at> debbugs.gnu.org; Fri, 18 Dec 2020 07:54:32 -0500
Date: Fri, 18 Dec 2020 13:54:28 +0100
Message-Id: <87mtybe0l7.fsf@HIDDEN>
To: control <at> debbugs.gnu.org
From: =?utf-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
Subject: control message for bug #44768
MIME-version: 1.0
Content-type: text/plain; charset=utf-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: control
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

tags 44768 + moreinfo
quit





Message sent to guix-patches@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: [bug#44768] [PATCH v3 2/2] gnu: Add lightspark.
Resent-From: Vinicius Monego <monego@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: guix-patches@HIDDEN
Resent-Date: Tue, 02 Feb 2021 17:13:02 +0000
Resent-Message-ID: <handler.44768.B44768.161228594416888 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 44768
X-GNU-PR-Package: guix-patches
X-GNU-PR-Keywords: moreinfo patch
To: Christopher Baines <mail@HIDDEN>
Cc: 44768 <at> debbugs.gnu.org
Received: via spool by 44768-submit <at> debbugs.gnu.org id=B44768.161228594416888
          (code B ref 44768); Tue, 02 Feb 2021 17:13:02 +0000
Received: (at 44768) by debbugs.gnu.org; 2 Feb 2021 17:12:24 +0000
Received: from localhost ([127.0.0.1]:36099 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1l6zE0-0004OK-7L
	for submit <at> debbugs.gnu.org; Tue, 02 Feb 2021 12:12:24 -0500
Received: from mout01.posteo.de ([185.67.36.65]:40265)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <monego@HIDDEN>) id 1l6zDv-0004O2-CC
 for 44768 <at> debbugs.gnu.org; Tue, 02 Feb 2021 12:12:23 -0500
Received: from submission (posteo.de [89.146.220.130]) 
 by mout01.posteo.de (Postfix) with ESMTPS id 438DE160063
 for <44768 <at> debbugs.gnu.org>; Tue,  2 Feb 2021 18:12:12 +0100 (CET)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=posteo.net; s=2017;
 t=1612285932; bh=9qC2cLKYHodKILyON9Yyms19DT4bNJCt3otMvtDHHeA=;
 h=From:To:Cc:Subject:Date:From;
 b=DGR64aiefhOOY+1sGyVCHj4vj7ZZ6p0yYOZmrYXAQLtavb2anvYoOLOBPitJq00O5
 JV7BYX0xSHEJblI7hnCZkdpMgGdFHYGbdrNa3HXEzngNdgeBWHNDor0R96N2CYjPFG
 4csmNvZnggthoDbfN0gGDooB6PeNYX7BrLcDNeqr6VH8whz3fWOeXGR78qC97RxMZC
 6p5jabACqG1sbR9ZQJvZSaQ7Vyh0oxFatlHTp6ib0NYWktBvgvdbsT/hs7NcDQbg/0
 UbkZqMd1Njdyk3nZFmEtfWmBvgEVx17JxIAr71L/ocCcSRb3/nJBkEgOOwX2RhYkmh
 5dcefkcHIn5EA==
Received: from customer (localhost [127.0.0.1])
 by submission (posteo.de) with ESMTPSA id 4DVWZc2Zbkz6tmN;
 Tue,  2 Feb 2021 18:12:07 +0100 (CET)
References: <20201125171857.28120-1-monego@HIDDEN>
 <20201125171857.28120-2-monego@HIDDEN> <875z5ptq4a.fsf@HIDDEN>
User-agent: mu4e 1.4.14; emacs 27.1
From: Vinicius Monego <monego@HIDDEN>
In-reply-to: <875z5ptq4a.fsf@HIDDEN>
Message-ID: <877dnqpf9f.fsf@HIDDEN>
Date: Tue, 02 Feb 2021 14:10:20 -0300
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -2.3 (--)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)


Christopher Baines writes:

> Vinicius Monego <monego@HIDDEN> writes:
>
>> * gnu/packages/animation.scm (lightspark): New variable.
>> ---
>> Rebased on the previous commit
>
> Thanks for the patch, the main thing I noticed with this is that there's
> some bundled code, at least I spotted pugixml included in the lightspark
> code, and Guix already has a package for pugixml.
>
> If possible, lightspark should be built with pugixml from Guix.
>

Hello,

Sorry for the late response. I noticed that jxrlib is also in Guix, and
tried to unbundle both jxrlib and pugixml unsuccesfully.

In the case of jxrlib, JXRGlue fails to include JXRMeta:

 #include <JXRMeta.h>
          ^~~~~~~~~~~

IIUC the include syntax is jxrlib/JXRMeta.h. It also fails in the Debian
package from where Guix pulls from.

In the case of pugixml the build fails with undefined references. I also
found this comment in the changelog:

* switch to internal xml parsing (based on pugixml)

which implies that the bundled pugixml is a fork and not a snapshot.

>>  gnu/packages/animation.scm | 64 ++++++++++++++++++++++++++++++++++++++
>>  1 file changed, 64 insertions(+)
>>
>> diff --git a/gnu/packages/animation.scm b/gnu/packages/animation.scm
>> index 102b0f47f7..9b94c1d214 100644
>> --- a/gnu/packages/animation.scm
>> +++ b/gnu/packages/animation.scm
>> @@ -25,9 +25,11 @@
>>    #:use-module (guix git-download)
>>    #:use-module (guix utils)
>>    #:use-module ((guix licenses) #:prefix license:)
>> +  #:use-module (guix build-system cmake)
>>    #:use-module (guix build-system gnu)
>>    #:use-module (gnu packages)
>>    #:use-module (gnu packages algebra)
>> +  #:use-module (gnu packages assembly)
>>    #:use-module (gnu packages autotools)
>>    #:use-module (gnu packages boost)
>>    #:use-module (gnu packages compression)
>> @@ -43,6 +45,8 @@
>>    #:use-module (gnu packages image)
>>    #:use-module (gnu packages imagemagick)
>>    #:use-module (gnu packages jemalloc)
>> +  #:use-module (gnu packages networking)
>> +  #:use-module (gnu packages pcre)
>>    #:use-module (gnu packages perl)
>>    #:use-module (gnu packages pkg-config)
>>    #:use-module (gnu packages pulseaudio)
>> @@ -397,3 +401,63 @@ audio or video backends, ensuring good performance.")
>>        (home-page "https://www.gnu.org/software/gnash/")
>>        (license license:gpl3+))))
>>  
>> +(define-public lightspark
>> +  (package
>> +    (name "lightspark")
>> +    (version "0.8.3")
>> +    (source
>> +     (origin
>> +       (method git-fetch)
>> +       (uri (git-reference
>> +             (url "https://github.com/lightspark/lightspark")
>> +             (commit version)))
>> +       (file-name (git-file-name name version))
>> +       (sha256
>> +        (base32 "0rgqqppnv4n3kv623sgr1zpc2fdsnrqzfiqgk4clcmfl5ipklg6f"))))
>> +    (build-system cmake-build-system)
>> +    (arguments
>> +     `(#:tests? #f ;requires Adobe Flex SDK, see README.tests
>> +       #:phases
>> +       (modify-phases %standard-phases
>> +         (add-after 'unpack 'relative-etc-dir
>> +           ;; Write default config file to ./etc instead of /etc.
>> +           (lambda _
>> +             (substitute* "CMakeLists.txt" (("\\/etc") "etc"))
>> +             #t))
>> +         (replace 'check
>> +           (lambda* (#:key tests? #:allow-other-keys)
>> +             (if tests?
>> +                 (begin
>> +                   (invoke "./tests"))
>> +                 #t))))))
>
> I'd normally write this as:
>
>   (when tests?
>     (invoke "./tests"))
>   #t
>

Ok, I will send an update soon with this change and an update to the
license list because I initially overlooked the 3rd party bundles.

>> +    (native-inputs
>> +     `(("gettext" ,gettext-minimal)
>> +       ("glib:bin" ,glib "bin")
>> +       ("nasm" ,nasm)
>> +       ("perl" ,perl)
>> +       ("pkg-config" ,pkg-config)
>> +       ("python" ,python-wrapper)))
>> +    (inputs
>> +     `(("cairo" ,cairo)
>> +       ("curl" ,curl)
>> +       ("ffmpeg" ,ffmpeg)
>> +       ("freeglut" ,freeglut)
>> +       ("glew" ,glew)
>> +       ("glibmm" ,glibmm)
>> +       ("gnash" ,gnash)
>> +       ("libjpeg" ,libjpeg-turbo)
>> +       ("openssl" ,openssl)
>> +       ("pango" ,pango)
>> +       ("pcre2" ,pcre2)
>> +       ("rtmpdump" ,rtmpdump)
>> +       ("sdl2" ,sdl2)
>> +       ("sdl2-mixer" ,sdl2-mixer)
>> +       ("zlib" ,zlib)))
>> +    (home-page "https://lightspark.github.io/")
>> +    (synopsis "Flash player implementation")
>> +    (description
>> +     "Lightspark is a Flash player implementation for playing files in the SWF
>> +format.  Lightspark can run as a web browser plugin or as a standalone
>> +application.  Lightspark supports SWF files written on all versions of the
>> +ActionScript language.")
>> +    (license license:lgpl3+)))





Message sent to guix-patches@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: [bug#44768] [PATCH v4] gnu: Add lightspark.
References: <20201120200551.19145-1-monego@HIDDEN>
In-Reply-To: <20201120200551.19145-1-monego@HIDDEN>
Resent-From: Vinicius Monego <monego@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: guix-patches@HIDDEN
Resent-Date: Tue, 02 Feb 2021 17:32:01 +0000
Resent-Message-ID: <handler.44768.B44768.161228706622587 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 44768
X-GNU-PR-Package: guix-patches
X-GNU-PR-Keywords: moreinfo patch
To: 44768 <at> debbugs.gnu.org
Cc: Vinicius Monego <monego@HIDDEN>
Received: via spool by 44768-submit <at> debbugs.gnu.org id=B44768.161228706622587
          (code B ref 44768); Tue, 02 Feb 2021 17:32:01 +0000
Received: (at 44768) by debbugs.gnu.org; 2 Feb 2021 17:31:06 +0000
Received: from localhost ([127.0.0.1]:36139 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1l6zW1-0005np-J0
	for submit <at> debbugs.gnu.org; Tue, 02 Feb 2021 12:31:06 -0500
Received: from mout02.posteo.de ([185.67.36.66]:48599)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <monego@HIDDEN>) id 1l6zVy-0005fG-5B
 for 44768 <at> debbugs.gnu.org; Tue, 02 Feb 2021 12:30:59 -0500
Received: from submission (posteo.de [89.146.220.130]) 
 by mout02.posteo.de (Postfix) with ESMTPS id 356732400FB
 for <44768 <at> debbugs.gnu.org>; Tue,  2 Feb 2021 18:30:51 +0100 (CET)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=posteo.net; s=2017;
 t=1612287051; bh=vWmW/LAi0KDplsWZQUILs/gx71kjIU8ARnOAsgol1GA=;
 h=From:To:Cc:Subject:Date:From;
 b=PmF6TvGtmMYcBhxKv79PDFjJ2/wA4ZMW8t+NrwlxqwXDLuZCu0PtT9HshnPnal/hx
 QuZEps6YZNiRc/5LxcIE3xnmJmmTiNgolNawSmAXdvd+isKIBtrjZEqEOkQxZ/cuM/
 k5sZZ/ZzyYm4Qkj8Seudtb/cq4s9m8xbZF+dqy4BThOWKicXUEns4DS9i2PD1Q/wCu
 Gk9AiMXM3gS0hoKEZym471IrY4DM7BN9YDx86kpTHNhY2fh1FjkkLEaO8NMg5Mhk/p
 r/m8rrYPwTYAx0uzUD0eLC0MrgGZ6LBU9sATQ2jEN/iJfeGFmvQwVT/teaDhmNLa87
 vsb0gTDlsfM/g==
Received: from customer (localhost [127.0.0.1])
 by submission (posteo.de) with ESMTPSA id 4DVX093KtHz6tmK;
 Tue,  2 Feb 2021 18:30:49 +0100 (CET)
From: Vinicius Monego <monego@HIDDEN>
Date: Tue,  2 Feb 2021 14:29:34 -0300
Message-Id: <20210202172934.16915-1-monego@HIDDEN>
X-Mailer: git-send-email 2.30.0
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: -2.3 (--)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

* gnu/packages/animation.scm (lightspark): New variable.
---
Updated check phase, copyright year and licenses.

 gnu/packages/animation.scm | 70 +++++++++++++++++++++++++++++++++++++-
 1 file changed, 69 insertions(+), 1 deletion(-)

diff --git a/gnu/packages/animation.scm b/gnu/packages/animation.scm
index c92c4ae7e7..180a9e4ee4 100644
--- a/gnu/packages/animation.scm
+++ b/gnu/packages/animation.scm
@@ -2,7 +2,7 @@
 ;;; Copyright © 2015, 2017 Ricardo Wurmus <rekado@HIDDEN>
 ;;; Copyright © 2018, 2019, 2020 Tobias Geerinckx-Rice <me@HIDDEN>
 ;;; Copyright © 2019 Pkill -9 <pkill9@HIDDEN>
-;;; Copyright © 2020 Vinicius Monego <monego@HIDDEN>
+;;; Copyright © 2020, 2021 Vinicius Monego <monego@HIDDEN>
 ;;;
 ;;; This file is part of GNU Guix.
 ;;;
@@ -25,10 +25,12 @@
   #:use-module (guix git-download)
   #:use-module (guix utils)
   #:use-module ((guix licenses) #:prefix license:)
+  #:use-module (guix build-system cmake)
   #:use-module (guix build-system gnu)
   #:use-module (guix build-system meson)
   #:use-module (gnu packages)
   #:use-module (gnu packages algebra)
+  #:use-module (gnu packages assembly)
   #:use-module (gnu packages autotools)
   #:use-module (gnu packages boost)
   #:use-module (gnu packages check)
@@ -45,6 +47,8 @@
   #:use-module (gnu packages image)
   #:use-module (gnu packages imagemagick)
   #:use-module (gnu packages jemalloc)
+  #:use-module (gnu packages networking)
+  #:use-module (gnu packages pcre)
   #:use-module (gnu packages perl)
   #:use-module (gnu packages pkg-config)
   #:use-module (gnu packages pulseaudio)
@@ -320,6 +324,70 @@ audio or video backends, ensuring good performance.")
       (home-page "https://www.gnu.org/software/gnash/")
       (license license:gpl3+))))
 
+(define-public lightspark
+  (package
+    (name "lightspark")
+    (version "0.8.3")
+    (source
+     (origin
+       (method git-fetch)
+       (uri (git-reference
+             (url "https://github.com/lightspark/lightspark")
+             (commit version)))
+       (file-name (git-file-name name version))
+       (sha256
+        (base32 "0rgqqppnv4n3kv623sgr1zpc2fdsnrqzfiqgk4clcmfl5ipklg6f"))))
+    (build-system cmake-build-system)
+    (arguments
+     `(#:tests? #f ;requires Adobe Flex SDK, see README.tests
+       #:phases
+       (modify-phases %standard-phases
+         (add-after 'unpack 'prepare-build-environment
+           (lambda _
+             ;; Write default config file to ./etc instead of /etc.
+             (substitute* "CMakeLists.txt" (("\\/etc") "etc"))
+             #t))
+         (replace 'check
+           (lambda* (#:key tests? #:allow-other-keys)
+             (when tests?
+               (invoke "./tests"))
+                 #t)))))
+    (native-inputs
+     `(("gettext" ,gettext-minimal)
+       ("glib:bin" ,glib "bin")
+       ("nasm" ,nasm)
+       ("perl" ,perl)
+       ("pkg-config" ,pkg-config)
+       ("python" ,python-wrapper)))
+    (inputs
+     `(("cairo" ,cairo)
+       ("curl" ,curl)
+       ("ffmpeg" ,ffmpeg)
+       ("freeglut" ,freeglut)
+       ("glew" ,glew)
+       ("glibmm" ,glibmm)
+       ("gnash" ,gnash)
+       ("gnutls" ,gnutls)
+       ("libjpeg" ,libjpeg-turbo)
+       ("openssl" ,openssl)
+       ("pango" ,pango)
+       ("pcre2" ,pcre2)
+       ("rtmpdump" ,rtmpdump)
+       ("sdl2" ,sdl2)
+       ("sdl2-mixer" ,sdl2-mixer)
+       ("zlib" ,zlib)))
+    (home-page "https://lightspark.github.io/")
+    (synopsis "Flash player implementation")
+    (description
+     "Lightspark is a Flash player implementation for playing files in the SWF
+format.  Lightspark can run as a web browser plugin or as a standalone
+application.  Lightspark supports SWF files written on all versions of the
+ActionScript language.")
+    (license (list license:lgpl3+ ;lightspark
+                   license:mpl2.0 ;avmplus
+                   license:bsd-2 ;jxrlib
+                   license:expat)))) ;pugixml, PerlinNoise
+
 (define-public papagayo
   (let ((commit "e143684b30e59fe4a554f965cb655d23cbe93ee7")
         (revision "1"))
-- 
2.30.0






Last modified: Tue, 2 Feb 2021 17:30:01 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.